﻿Imports System
Imports Wisej.Web

Public Class Page1
    Private Sub Page1_Appear(sender As Object, e As EventArgs) Handles Me.Appear
        AgentName = Application.UserAgent
        RequestBrowserInfo()
        RequestBrowserZoom()
    End Sub

    Private Async Sub RequestBrowserInfo()
        Dim response As String = CStr((Await Application.CallAsync("getBrowserInfo")))
        BrowserInfo = response
    End Sub

    Private Async Sub RequestBrowserZoom()
        Dim response As String = CStr((Await Application.CallAsync("getZoomPercent")))
        If IsNumeric(response) Then ZoomPercent = CInt(response)
    End Sub

    Private Sub Button1_Click(sender As Object, e As EventArgs) Handles Button1.Click
        LabelUserAgent.Text = Application.UserAgent
        LabelAgentName.Text = AgentName
        LabelBrowserInfo.Text = BrowserInfo
        LabelZoomPercent.Text = ZoomPercent.ToString
    End Sub

End Class
